Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Class DistributedOperationUpdateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.management.DistributedUpdateException
                              |
                              +--weblogic.management.DistributedOperationUpdateException

public final class DistributedOperationUpdateException
extends DistributedUpdateException

This exception wraps an exception that occured while propagating a specific operation from the Admin Server to a specific Managed Server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedOperationUpdateException(javax.management.ObjectName remoteNameArg, javax.management.MBeanServer remoteMBeanServerArg, java.lang.Exception exceptionArg, java.lang.String actionNameArg, java.lang.Object[] paramsArg, java.lang.String[] signatureArg)` Deprecated. Constructor for the DistributedOperationUpdateException object

Method Summary
`java.lang.String` | `getActionName()` Deprecated. Return the action that was performed that was being propagated.
`java.lang.Object[]` | `getParams()` Deprecated. Return the params that was passed to the action that was being propagated.
`java.lang.String[]` | `getSignature()` Deprecated. Return the signature that was used for the action invocation.
`void` | `printExceptionInfo(java.io.PrintWriter writer)` Deprecated.

Methods inherited from class weblogic.management.DistributedUpdateException
`getRemoteMBeanServer, getRemoteName, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedOperationUpdateException

    public DistributedOperationUpdateException(javax.management.ObjectName remoteNameArg,
                                               javax.management.MBeanServer remoteMBeanServerArg,
                                               java.lang.Exception exceptionArg,
                                               java.lang.String actionNameArg,
                                               java.lang.Object[] paramsArg,
                                               java.lang.String[] signatureArg)

  Deprecated.
  Constructor for the DistributedOperationUpdateException object

Method Detail

### getActionName

    public java.lang.String getActionName()

  Deprecated.
  Return the action that was performed that was being propagated.

  Returns:
    The actionName value

### getParams

    public java.lang.Object[] getParams()

  Deprecated.
  Return the params that was passed to the action that was being propagated.

  Returns:
    The params value

### getSignature

    public java.lang.String[] getSignature()

  Deprecated.
  Return the signature that was used for the action invocation.

  Returns:
    The signature value

### printExceptionInfo

    public void printExceptionInfo(java.io.PrintWriter writer)

  Deprecated.

  Parameters:
    `writer` -
  Overrides:
    printExceptionInfo in class DistributedUpdateException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD